## org.exist.util
Class Base64Encoder

    java.lang.Object
      org.exist.util.Base64Encoder

public final class Base64Encoder
extends java.lang.Object

Byte to text encoder using base 64 encoding. To create a base 64 encoding of a byte stream call `translate(byte[])` for every sequence of bytes and `getCharArray()` to mark closure of the byte stream and retrieve the text presentation.

Author:
  Based on code from the Mozilla Directory SDK

Constructor Summary
`Base64Encoder()`

Method Summary
`char[]` `getCharArray()`
`void` `translate(byte[] in)` Given a sequence of input bytes, produces a sequence of output bytes using the base64 encoding.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64Encoder

    public Base64Encoder()

Method Detail

### translate

    public final void translate(byte[] in)

  Given a sequence of input bytes, produces a sequence of output bytes using the base64 encoding. If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.

### getCharArray

    public char[] getCharArray()

Copyright (C) Wolfgang Meier. All rights reserved.